post
https://sandbox.saner.secpod.com/AncorWebService/perform
Retrieve all applicable remediation rules for one group.
Get All Applicable Remediation Rules based on Groups.
This method allows you to get all applicable remediation rules for one or multiple groups.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| groupname | Name of the group | Yes | string |
| apifilters | Filters to refine rules using tags and conditions | No | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Patch.getAllApplicableRules(
groupname="ubuntu",
apifilters={
"tags": {
"in": {
"owner": [
"User_1"
]
},
"not in": {
"owner": [
"User_1"
]
}
}
}
)
print(response)
client.close()Requires Python 3.9 or later.